/**
 * 最初の著者:: トゥイー
 * リポジトリ情報:: $Id: DefaultProcessor.hpp 39 2011-05-12 04:11:29Z yutaka_at_home $
 * 著作権:: Copyright (C) Ownway.info, 2011. All rights reserved.
 * ライセンス:: CPL(Common Public Licence)
 */

#ifndef _SPEECH_CONTROLLER_FRAMEWORK_PROCESSOR_DEFAULT_PROCESSOR_HPP_
#define _SPEECH_CONTROLLER_FRAMEWORK_PROCESSOR_DEFAULT_PROCESSOR_HPP_

#include "spcf/core/Processor.hpp"

namespace spcf {

	class DefaultProcessor : public Processor {
	public:
		void start(Context& context);
		void soundStarted(Context& context);
		void soundStoped(Context& context);
		void recognized(Context& context, Recognition& recognition);
		void stop(Context& context);
		void finish(Context& context);
	};

}  // namespace spcf

#endif
